> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/appendix/detecting-vehicle-crashes.md).

# Detecting Vehicle Crashes

The Sentiance SDK can be configured to detect vehicle accidents/crashes during trips. You can be notified of these crash events by setting a handler as follows:

{% tabs %}
{% tab title="iOS" %}

```swift
Sentiance.shared.setVehicleCrashHandler { crashEvent in
    // Handle event
}
```

{% endtab %}

{% tab title="Android" %}

```kotlin
CrashDetectionApi.getInstance(context).setVehicleCrashListener { vehicleCrashEvent ->

}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To access the [`CrashDetectionApi`](/important-topics/sdk/api-reference/android/crashdetection/crashdetectionapi.md) class on Android, you need to add a dependency on the **com.sentiance:sdk-crash-detection** artifact in your app's *build.gradle* file.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/appendix/detecting-vehicle-crashes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
